Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.focus
Interface FocusRenderStrategy

All Known Implementing Classes:
  AbstractFocusRenderStrategy, FormFocusRenderStrategy, ViewFocusRenderStrategy

    public interface FocusRenderStrategy

The strategy for rendering Focus component

Method Summary
`String` | `getFocusCandidatesAsString(javax.faces.context.FacesContext context, AbstractFocus component)` Get space-separated list of clientIds as component candidates to be focused on client.
`void` | `postAddToView(javax.faces.context.FacesContext context, AbstractFocus component)` This method will be called once the component is placed into view
`boolean` | `shouldApply(javax.faces.context.FacesContext context, AbstractFocus component)` Determines whether the currently rendered Focus should be rendered or not based on if request is postback and if Focus belongs to form which has been submitted.

Method Detail

### postAddToView

    void postAddToView(javax.faces.context.FacesContext context,
                       AbstractFocus component)

  This method will be called once the component is placed into view

### getFocusCandidatesAsString

    String getFocusCandidatesAsString(javax.faces.context.FacesContext context,
                                      AbstractFocus component)

  Get space-separated list of clientIds as component candidates to be focused on client.

### shouldApply

    boolean shouldApply(javax.faces.context.FacesContext context,
                        AbstractFocus component)

  Determines whether the currently rendered Focus should be rendered or not based on if request is postback and if Focus belongs to form which has been submitted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.